{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}

<form method="post" data-plugin="{$oPlugin->getPluginID()}" data-io="{$cssPlugin->getAdminIOLink()}" data-session="{$smarty.session.jtl_token}">
    {$jtl_token}
    <input type="hidden" name="cssAdminConfigAction" value="saveConfig" />

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Plugin Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Das Plugin ist')}</span>
            </div>
            <select id="pluginActive" name="pluginActive" class="form-control">
                <Option {if $pluginConfig->pluginActive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
                <Option {if $pluginConfig->pluginActive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Plugin aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <!-- ab hier kommen die individuellen Einstellungen -->
        <div class="alert alert-warning">
            <p>Bitte beachten Sie, wenn Sie den Cookienamen im laufenden Betrieb &auml;ndern, gehen alle aktiven Cookies der Besucher verloren.<br>Gleiches betrifft auch die Änderung der Einstellung für Variantenpreise.</p>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Preise behalten Ihre Gültigkeit für x Tage')}</span>
            </div>
            <input type="text" name="maxLifeTime" class="form-control" value="{$pluginConfig->maxLifeTime}" placeholder="{__('in x Tagen')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie die Tage ein wie lange der Cookie, bzw. die Artikel nach der Anzeige &uuml;ber den Affiliate Link den zugeh&ouml;rigen Preis haben soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Preisänderung betrifft')}</span>
            </div>
            <select id="useParent" name="useParent" class="form-control">
                <Option {if $pluginConfig->useParent=='Y'} selected {/if} value="Y">{__('alle Varianten')}</Option>
                <Option {if $pluginConfig->useParent=='N'} selected {/if} value="N">{__('nur den aufgerufenen Artikel')}</Option>
                <Option {if $pluginConfig->useParent=='A'} selected {/if} value="A">{__('Alle Artikel im Shop')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Plugin aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Name des Cookie')}</span>
            </div>
            <input type="text" name="cookieName" class="form-control" value="{$pluginConfig->cookieName}" placeholder="{__('Bitte geben Sie einen Namen für den Cookie ein')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie einen Namen ein, der dazu dient, dass der User wiedererkannt wird.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Konfiguration Kampagne zu Kundengruppe')}</legend>


        {foreach from=$kampagneToGoGroup item=kampagne name="kampagnen"}
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{$kampagne->cName}</span>
            </div>
            <select id="" name="kampagne[{$kampagne->kKampagne}]" class="form-control">
                <option value="0">Bitte w&auml;hlen</option> {foreach from=$cssGroups item=cssGroup name=groups}
                <option {if $cssGroup->kKundengruppe == $kampagne->kKundengruppe} selected="selected" {/if} value="{$cssGroup->kKundengruppe}">{$cssGroup->cName} (ID = {$cssGroup->kKundengruppe})</option> {/foreach}
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Selektieren Sie Bitte die Kundengruppe die dem jeweiligem referer zugewiesen werden soll. Keine Angabe l&auml;sst die Daten unver&auml;ndert.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        {/foreach}

    </fieldset>


<div class="save-wrapper">
    <div class="ml-auto col-sm-6 col-xl-auto">
        <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
            <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
        </button>
    </div>
</div>
</form>

